'use strict';

const utils = require('./utils-f8ccab0a.js');
const BehaviorSubject = require('./BehaviorSubject-12116537.js');

class WindowResizeController {
    // timeoutHolder: Timeout;
    constructor() {
        this.currentBreakpoint = utils.getCurrentBreakpointIndex();
        this.breakpointIndex$ = new BehaviorSubject.BehaviorSubject(this.currentBreakpoint);
        const resizeObserver = new ResizeObserver(_entries => {
            if (this.timeoutHolder) {
                clearTimeout(this.timeoutHolder);
            }
            let activeValue = utils.getCurrentBreakpointIndex();
            if (this.breakpointIndex$.value === activeValue) {
                return false;
            }
            this.breakpointIndex$.next(activeValue);
        });
        resizeObserver.observe(window.document.body);
    }
    registerProp(activePropValue) {
        return new BehaviorSubject.Observable(observer => {
            observer.next(utils.getCurrentValue(activePropValue));
            this.breakpointIndex$.subscribe(() => {
                let nextValue = utils.getCurrentValue(activePropValue);
                observer.next(nextValue);
            });
        });
    }
}
const WindowResizeService = new WindowResizeController();

exports.WindowResizeService = WindowResizeService;

//# sourceMappingURL=window-resize-service-65a5a370.js.map