import { h, Host } from "@stencil/core";
import { WindowResizeService } from "../../services/window-resize-service";
/**
 * @slot column1 - This will be column 1.
 * @slot column2 - This will be column 2.
 */
export class ContentSplitBlock {
    constructor() {
        this.reverse = false;
        this.columns = '1|2';
        this.classes = undefined;
        this.classString = undefined;
    }
    componentWillLoad() {
        WindowResizeService.registerProp(this.reverse).subscribe(newValue => (this.reverse = newValue));
        WindowResizeService.registerProp(this.classes).subscribe(newValue => (this.classString = newValue));
    }
    render() {
        return (h(Host, { key: '07309d1b00b39a34cb02365cfed93068466ded61', class: this.classString, reverse: this.reverse }, h("content-grid-formatter", { key: '55114d699cb714a820d9ee5c7db0f1b674a762e0', type: "flex", "flex-grow": "true", "flex-shrink": "true", columns: this.columns }, h("slot", { key: '155c3babd869c8c8b5b8766b13b68b56188d02d7', name: "column1" }), h("slot", { key: '19ed20dae1df7efe894bf420de4020d1a72a679c', name: "column2" }))));
    }
    static get is() { return "content-split-block"; }
    static get originalStyleUrls() {
        return {
            "$": ["content-split-block.scss"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["content-split-block.css"]
        };
    }
    static get properties() {
        return {
            "reverse": {
                "type": "any",
                "mutable": true,
                "complexType": {
                    "original": "ResponsiveBoolean | boolean",
                    "resolved": "boolean | string",
                    "references": {
                        "ResponsiveBoolean": {
                            "location": "import",
                            "path": "../../typings",
                            "id": "src/typings.d.ts::ResponsiveBoolean"
                        }
                    }
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [{
                            "name": "type",
                            "text": "Boolean"
                        }, {
                            "name": "responsive",
                            "text": undefined
                        }],
                    "text": ""
                },
                "attribute": "reverse",
                "reflect": true,
                "defaultValue": "false"
            },
            "columns": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [{
                            "name": "type",
                            "text": "Number"
                        }, {
                            "name": "responsive",
                            "text": undefined
                        }],
                    "text": ""
                },
                "attribute": "columns",
                "reflect": false,
                "defaultValue": "'1|2'"
            },
            "classes": {
                "type": "string",
                "mutable": true,
                "complexType": {
                    "original": "ResponsiveString",
                    "resolved": "string",
                    "references": {
                        "ResponsiveString": {
                            "location": "import",
                            "path": "../../typings",
                            "id": "src/typings.d.ts::ResponsiveString"
                        }
                    }
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [{
                            "name": "type",
                            "text": "String"
                        }, {
                            "name": "responsive",
                            "text": undefined
                        }],
                    "text": ""
                },
                "attribute": "classes",
                "reflect": true
            }
        };
    }
    static get states() {
        return {
            "classString": {}
        };
    }
}
//# sourceMappingURL=content-split-block.js.map
