import { h, Host } from "@stencil/core";
import { WindowResizeService } from "../../services/window-resize-service";
/**
 * @slot media - This slot is usually a video or image component.
 * @slot mediaContent - This is a layer that floats the media layer and is revealed on hover.
 * @slot content - This slot will usually serve a text block.
 * @slot - Default slot, same as content slot.
 */
export class ContentToutBlock {
    constructor() {
        this.hover = 'false|true';
        this.classes = undefined;
        this.classString = undefined;
        this.hasHoverContent = false;
    }
    componentWillLoad() {
        this.hasMediaContent = !!this.hostElement.querySelector('[slot="mediaContent"]');
        WindowResizeService.registerProp(this.hover).subscribe(newValue => (this.hover = newValue));
        WindowResizeService.registerProp(this.classes).subscribe(newValue => (this.classString = newValue));
    }
    render() {
        return (h(Host, { key: '69ebec1035055bb7a249e595342a0d79438181bb', hover: this.hover, class: this.classString }, h("div", { key: 'c743bc1ff43b2c943b955f0b7ea00f532041aa0d', class: "content-tout-block__media" }, h("slot", { key: 'ac975a64066064eee82b7cbb35578f9cc6f3529a', name: "media" }), this.hasMediaContent && (h("div", { key: '9d00d6821314a5b95330a911e6a829c1e310ead7', class: "content-tout-block__media-content" }, h("slot", { key: '0daf8cb6fd837e0949e293765e70b6511701fa5c', name: "mediaContent" })))), h("div", { key: '399f773abf22662d4f923114c3cdbb752508ad82', class: "content-tout-block__content" }, h("slot", { key: 'bb48528101de40fa8d6f02fa21cab6027ff0ba39', name: "content" }), h("slot", { key: '4b4cd77dc3c31741b8d81d5f267547424b3d459a' }))));
    }
    static get is() { return "content-tout-block"; }
    static get originalStyleUrls() {
        return {
            "$": ["content-tout-block.scss"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["content-tout-block.css"]
        };
    }
    static get properties() {
        return {
            "hover": {
                "type": "string",
                "mutable": true,
                "complexType": {
                    "original": "ResponsiveBoolean",
                    "resolved": "string",
                    "references": {
                        "ResponsiveBoolean": {
                            "location": "import",
                            "path": "../../typings",
                            "id": "src/typings.d.ts::ResponsiveBoolean"
                        }
                    }
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [{
                            "name": "type",
                            "text": "Boolean"
                        }, {
                            "name": "responsive",
                            "text": undefined
                        }],
                    "text": "If true, the media content will show only on hover"
                },
                "attribute": "hover",
                "reflect": true,
                "defaultValue": "'false|true'"
            },
            "classes": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "ResponsiveString",
                    "resolved": "string",
                    "references": {
                        "ResponsiveString": {
                            "location": "import",
                            "path": "../../typings",
                            "id": "src/typings.d.ts::ResponsiveString"
                        }
                    }
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [{
                            "name": "type",
                            "text": "String"
                        }, {
                            "name": "responsive",
                            "text": undefined
                        }],
                    "text": ""
                },
                "attribute": "classes",
                "reflect": false
            }
        };
    }
    static get states() {
        return {
            "classString": {},
            "hasHoverContent": {}
        };
    }
    static get elementRef() { return "hostElement"; }
}
//# sourceMappingURL=content-tout-block.js.map
