import { h, Host } from "@stencil/core";
import W3Tabs from "./libraries/w3_tabs";
import { WindowResizeService } from "../../services/window-resize-service";
/**
 * @slot content - This slot will usually serve specific markup to ensure tabs are accessible.
 * @slot - Default slot, same as content slot.
 */
export class ContentTabs {
    constructor() {
        this.classes = undefined;
        this.classString = undefined;
    }
    componentWillLoad() {
        WindowResizeService.registerProp(this.classes).subscribe(newValue => {
            this.classString = newValue;
        });
    }
    componentDidLoad() {
        new W3Tabs(this.element);
    }
    render() {
        return (h(Host, { key: 'b1670a6420179eca5283a3674f6f72a6a3c68f20', class: this.classString }, h("slot", { key: '090efe730dfc6dd43f521bc95da73b9554afef1d', name: "content" }), h("slot", { key: '377359f7d5bb4b06b4020c24178dd0ee074e7ebd' })));
    }
    static get is() { return "content-tabs"; }
    static get originalStyleUrls() {
        return {
            "$": ["content-tabs.scss"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["content-tabs.css"]
        };
    }
    static get properties() {
        return {
            "classes": {
                "type": "string",
                "mutable": true,
                "complexType": {
                    "original": "ResponsiveString",
                    "resolved": "string",
                    "references": {
                        "ResponsiveString": {
                            "location": "import",
                            "path": "../../typings",
                            "id": "src/typings.d.ts::ResponsiveString"
                        }
                    }
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [{
                            "name": "type",
                            "text": "String"
                        }, {
                            "name": "responsive",
                            "text": undefined
                        }],
                    "text": ""
                },
                "attribute": "classes",
                "reflect": true
            }
        };
    }
    static get states() {
        return {
            "classString": {}
        };
    }
    static get elementRef() { return "element"; }
}
//# sourceMappingURL=content-tabs.js.map
