import { BehaviorSubject, Observable } from "rxjs";
import { getCurrentBreakpointIndex, getCurrentValue } from "../utils/utils";
class WindowResizeController {
    // timeoutHolder: Timeout;
    constructor() {
        this.currentBreakpoint = getCurrentBreakpointIndex();
        this.breakpointIndex$ = new BehaviorSubject(this.currentBreakpoint);
        const resizeObserver = new ResizeObserver(_entries => {
            if (this.timeoutHolder) {
                clearTimeout(this.timeoutHolder);
            }
            let activeValue = getCurrentBreakpointIndex();
            if (this.breakpointIndex$.value === activeValue) {
                return false;
            }
            this.breakpointIndex$.next(activeValue);
        });
        resizeObserver.observe(window.document.body);
    }
    registerProp(activePropValue) {
        return new Observable(observer => {
            observer.next(getCurrentValue(activePropValue));
            this.breakpointIndex$.subscribe(() => {
                let nextValue = getCurrentValue(activePropValue);
                observer.next(nextValue);
            });
        });
    }
}
export const WindowResizeService = new WindowResizeController();
//# sourceMappingURL=window-resize-service.js.map
