export const BasicExample = args => `<content-hero-block>
<content-image slot="background" src=${args.src}></content-image>
<div slot="content">My content goes here</div>
</content-hero-block>`;
export const AdvancedExample = args => `<content-hero-block classes="main-hero|main-desktop-hero">
<content-image slot="background" src="https://picsum.photos/id/2/768/400"></content-image>

<content-spacer slot="content" full-height="true" left-offset="4|5|10" right-offset="4" top-offset="4" bottom-offset="4" max-width="100|55" horizontal="left">
  <content-overlay target="#" id="heroVideoOverlay" full-screen="false" classes="custom-overlay">
    <span slot="closeButton">X</span>
    <div slot="content">
      <content-video fit-container="true" src="https://www.youtube.com/watch?v=xqyUdNxWazA"></content-video>
    </div>
  </content-overlay>
  <content-overlay id="heroVideoFullscreen" full-screen="true" classes="custom-overlay">
    <span slot="closeButton">X</span>
    <div slot="content">
      <content-video fit-container="true" autoplay="true" src="https://www.youtube.com/watch?v=xqyUdNxWazA"></content-video>
    </div>
  </content-overlay>
  <content-text-block full-height="false|true" classes="light" vertical="center">
    <content-line classes="text-style--hero-header">Inceptos Commodo Ullamcorper</content-line>
    <content-line classes="text-style--hero-header">Fringilla Venenatis Mattis Egestas Sem.<sup>*</sup></content-line>
    <content-line classes="text-style--hero-subline">Vulputate Commodo Adipiscing Tristique Fusce</content-line>
    <content-line classes="text-style--copy" max-width="100|60|75">Etiam porta sem malesuada magna mollis euismod. Fusce dapibus, tellus ac cursus commodo, tortor mauris condimentum nibh, ut fermentum massa justo sit amet risus.</content-line>
    <content-spacer top-offset="3">
    <content-button classes="button button--light" href="#heroVideoFullscreen">Full Screen</content-button>

    <content-button classes="button button--light" href="#heroVideoOverlay">Module Overlay</content-button>
    </content-spacer>
    <content-text-block slot="footer">
      <content-line classes="text-style--disclosure">Amet Mollis Tristique Parturient Ridiculus</content-line>
    </content-text-block>
  </content-text-block>
</content-spacer>
</content-hero-block>`;
BasicExample.args = {
    src: 'https://picsum.photos/id/2/768/400',
};
const meta = {
    title: 'Content Hero Block',
    tags: ['autodocs'],
    parameters: {
        layout: 'fullscreen',
    },
};
export default meta;
// export default {
//   // this creates a ‘Components’ folder and a ‘MyComponent’ subfolder
// };
//# sourceMappingURL=ContentHeroBlock.stories.js.map
