import { p as proxyCustomElement, H, h, c as Host } from './p-e28db040.js';
import { W as WindowResizeService } from './p-26483b46.js';

const contentAccordionCss = "*{box-sizing:border-box}content-accordion{display:block}content-accordion>button{display:block;width:100%;padding:0;border:none;font:inherit;color:inherit;background-color:transparent;cursor:pointer}content-accordion[expanded]>.content-accordion__reveal{display:block}content-accordion>.content-accordion__reveal{display:none}";
const ContentAccordionStyle0 = contentAccordionCss;

const ContentAccordion$1 = /*@__PURE__*/ proxyCustomElement(class ContentAccordion extends H {
    constructor() {
        super();
        this.__registerHost();
        this.revealElement = undefined;
        this.open = 'false';
        this.animationStart = 'animation-start';
        this.animationEnd = 'animation-end';
        this.triggerClass = '';
        this.animationTime = 0;
        this.isOpen = false;
        this.randomID = '';
        this.classString = '';
    }
    handleClickEvent(e) {
        this.animateAccordion(!this.isOpen);
    }
    animateAccordion(open, animationTime = this.animationTime) {
        if (this.timeoutHolder) {
            clearTimeout(this.timeoutHolder);
        }
        if (open) {
            this.isOpen = true;
            this.timeoutHolder = setTimeout(() => {
                this.hostElement.classList.add(this.animationStart);
            }, 0);
        }
        else {
            this.hostElement.classList.add(this.animationEnd);
            this.timeoutHolder = setTimeout(() => {
                this.hostElement.classList.remove(this.animationStart, this.animationEnd);
                this.isOpen = false;
            }, animationTime);
        }
    }
    componentWillLoad() {
        this.revealElement = this.hostElement.querySelector('.js-content-accordion-reveal');
        if (this.hostElement.id) {
            this.randomID = `${this.hostElement.tagName}_${this.hostElement.id}`;
        }
        else {
            this.randomID = `${this.hostElement.tagName}_${Math.floor(Math.random() * document.querySelectorAll(this.hostElement.tagName).length)}`;
        }
        WindowResizeService.registerProp(this.open).subscribe(newValue => {
            this.isOpen = newValue === 'true';
            if (this.isOpen) {
                this.animateAccordion(true);
            }
        });
    }
    render() {
        return (h(Host, { key: 'e2c74da4422159599813e36f564a13e2632e1fd4', class: this.classString, expanded: this.isOpen }, h("button", { key: '9096a0b08f0d1dddb0e7993d2156ea434dcff50f', class: this.triggerClass, onClick: e => this.handleClickEvent(e), "aria-expanded": this.isOpen, "aria-controls": this.randomID }, h("slot", { key: '70246b4f77596110f4acdff1efaaae9e55011023', name: "trigger" })), h("div", { key: '3bfc780073eb30a1d90b6d48ced09e0f178f6e02', id: this.randomID, class: "js-content-accordion-reveal content-accordion__reveal" }, h("slot", { key: '0a16c47e42329443d8228483a0e23d26563aeb3c', name: "content" }), h("slot", { key: '0119746c82beb4872b597b2546d3a1ffebb51002' }))));
    }
    get hostElement() { return this; }
    static get style() { return ContentAccordionStyle0; }
}, [4, "content-accordion", {
        "open": [1],
        "animationStart": [1, "animation-start"],
        "animationEnd": [1, "animation-end"],
        "triggerClass": [1, "trigger-class"],
        "animationTime": [2, "animation-time"],
        "revealElement": [32],
        "isOpen": [32],
        "randomID": [32],
        "classString": [32]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["content-accordion"];
    components.forEach(tagName => { switch (tagName) {
        case "content-accordion":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, ContentAccordion$1);
            }
            break;
    } });
}
defineCustomElement$1();

const ContentAccordion = ContentAccordion$1;
const defineCustomElement = defineCustomElement$1;

export { ContentAccordion, defineCustomElement };

//# sourceMappingURL=content-accordion.js.map