import { p as proxyCustomElement, H, h, c as Host } from './p-e28db040.js';
import { W as WindowResizeService } from './p-26483b46.js';

const contentButtonCss = "*{box-sizing:border-box}content-button{display:inline-block}content-button>a,content-button>button{display:flex;width:100%;align-items:center;justify-content:center}content-button>button{appearance:none;background:inherit;cursor:pointer}content-button[clickable-block=true]{display:block;width:100%;height:100%}content-button[clickable-block=true]>a,content-button[clickable-block=true]>button{height:100%;width:100%}content-button[clickable-block=true]>a>*,content-button[clickable-block=true]>button>*{display:block;width:100%}content-button[clickable-block=true] .content-button__clickable-content{width:100%;height:100%}";
const ContentButtonStyle0 = contentButtonCss;

const ContentButton$1 = /*@__PURE__*/ proxyCustomElement(class ContentButton extends H {
    constructor() {
        super();
        this.__registerHost();
        this.href = undefined;
        this.target = undefined;
        this.classes = '';
        this.classString = '';
        this.clickableBlock = false;
        this.expanded = undefined;
        this.controls = undefined;
        this.linkLabel = undefined;
        this.linkClass = undefined;
        this.hasContentToActivate = undefined;
    }
    componentWillLoad() {
        this.activatedContent = this.hostElement.querySelector('[slot="activatedContent"]');
        this.hasContentToActivate = !!this.activatedContent;
        // If this is a clickable block, forcefully add a # to force an anchor link
        if (!this.href || this.href === '#') {
            this.href = 'javascript:void(0);';
        }
        WindowResizeService.registerProp(this.linkClass).subscribe(newValue => {
            this.linkClass = newValue;
        });
        WindowResizeService.registerProp(this.classes).subscribe(newValue => {
            this.classString = newValue;
        });
    }
    onHandleClickEvent(ev) {
        if (this.hasContentToActivate) {
            ev.preventDefault();
            // ev.stopPropagation();
            this.activatedContent.dispatchEvent(new CustomEvent('open', { detail: this.activatedContent }));
            setTimeout(() => {
                this.activatedContent.scrollIntoView({ behavior: 'smooth' });
            }, 0);
        }
        else if (this.href && this.href.length > 1 && this.href.substring(0, 1) === '#') {
            let element = document.getElementById(this.href.substring(1));
            ev.preventDefault();
            if (element) {
                ev.preventDefault();
                // ev.stopPropagation();
                element.dispatchEvent(new CustomEvent('open', { detail: element }));
                setTimeout(() => {
                    element.scrollIntoView({ behavior: 'smooth' });
                }, 0);
            }
        }
    }
    render() {
        return (h(Host, { key: '32645cce0c5d64972be5614a9d8c08af7212dca8', class: this.classString }, h("a", { key: 'd199235db6ba6690db54e4021938ee8b3b57fe74', "aria-label": this.linkLabel, class: this.linkClass, role: this.href === 'javascript:void(0);' ? 'button' : '', onClick: ev => this.onHandleClickEvent(ev), "aria-expanded": this.expanded, "aria-controls": this.controls, href: this.href, target: this.target }, !this.clickableBlock ? (h("span", null, h("slot", { name: "content" }), h("slot", null))) : (h("div", { class: "content-button__clickable-content" }, h("slot", { name: "content" }), h("slot", null)))), h("slot", { key: '424adf7f2642fd10291a2974a4a41e8148240654', name: "activatedContent" })));
    }
    get hostElement() { return this; }
    static get style() { return ContentButtonStyle0; }
}, [4, "content-button", {
        "href": [1537],
        "target": [1],
        "classes": [1],
        "clickableBlock": [4, "clickable-block"],
        "expanded": [1537],
        "controls": [1],
        "linkLabel": [1, "link-label"],
        "linkClass": [1537, "link-class"],
        "classString": [32],
        "hasContentToActivate": [32]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["content-button"];
    components.forEach(tagName => { switch (tagName) {
        case "content-button":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, ContentButton$1);
            }
            break;
    } });
}
defineCustomElement$1();

const ContentButton = ContentButton$1;
const defineCustomElement = defineCustomElement$1;

export { ContentButton, defineCustomElement };

//# sourceMappingURL=content-button.js.map