import { p as proxyCustomElement, H, h, c as Host } from './p-e28db040.js';
import { W as WindowResizeService } from './p-26483b46.js';

const contentHeroBlockCss = "*{box-sizing:border-box}content-hero-block{position:relative}content-hero-block[content-position=above]{display:grid;grid-template-columns:1fr}content-hero-block[content-position=above] .content-hero-block__background,content-hero-block[content-position=above] .content-hero-block__content{grid-row-start:1;grid-column-start:1}content-hero-block[content-position=above] .content-hero-block__background{height:100%;overflow:hidden}content-hero-block[content-position=above] .content-hero-block__background content-image,content-hero-block[content-position=above] .content-hero-block__background content-image picture,content-hero-block[content-position=above] .content-hero-block__background content-image img,content-hero-block[content-position=above] .content-hero-block__background content-image video{height:100%}content-hero-block[content-position=above] .content-hero-block__content{display:flex;top:0;left:0;width:100%;height:100%;grid-row-start:1;grid-column-start:1}content-hero-block[content-position=above] .content-hero-block__content>*{width:100%}content-hero-block[content-position=above] .content-hero-block__content{position:relative;z-index:1}content-hero-block[content-position=below]{display:block}";
const ContentHeroBlockStyle0 = contentHeroBlockCss;

const ContentHeroBlock$1 = /*@__PURE__*/ proxyCustomElement(class ContentHeroBlock extends H {
    constructor() {
        super();
        this.__registerHost();
        this.hasBackground = false;
        this.contentPosition = 'below|above';
        this.classes = undefined;
        this.classString = undefined;
        this.revealHiddenContent = false;
    }
    componentWillLoad() {
        this.hasBackground = !!this.hostElement.querySelector('[slot="background"]');
        this.hasHiddenContent = !!this.hostElement.querySelector('[slot="activatedContent"]');
        WindowResizeService.registerProp(this.contentPosition).subscribe(newValue => (this.contentPosition = newValue));
        WindowResizeService.registerProp(this.classes).subscribe(newValue => (this.classString = newValue));
    }
    contentBlockActivationHandler(event) {
        if (this.hostElement === event.detail) {
            this.hostElement.setAttribute('activated', 'true');
        }
    }
    render() {
        return (h(Host, { key: '453139dde7f5f37fe4b246b65f85c5b4252eb25b', class: this.classString }, this.hasBackground && (h("div", { key: '61af0bcd5932c1678424f8d8d39b9374c848eac5', class: "content-hero-block__background" }, h("slot", { key: '5b565590f57803ab199f847aa37b221df4795b8b', name: "background" }))), h("div", { key: 'c25011a540f9d35d3635d47fca259aeefc1b6ca6', class: "content-hero-block__content" }, h("slot", { key: '8c4e12fcb9a805445b879f8ac642e2894c1a2b31', name: "content" }), h("slot", { key: '75560112753c4b2ab546bf5caf2b32701917e6c6' }))));
    }
    get hostElement() { return this; }
    static get style() { return ContentHeroBlockStyle0; }
}, [4, "content-hero-block", {
        "contentPosition": [1537, "content-position"],
        "classes": [1],
        "hasBackground": [32],
        "classString": [32],
        "revealHiddenContent": [32]
    }, [[8, "open", "contentBlockActivationHandler"]]]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["content-hero-block"];
    components.forEach(tagName => { switch (tagName) {
        case "content-hero-block":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, ContentHeroBlock$1);
            }
            break;
    } });
}
defineCustomElement$1();

const ContentHeroBlock = ContentHeroBlock$1;
const defineCustomElement = defineCustomElement$1;

export { ContentHeroBlock, defineCustomElement };

//# sourceMappingURL=content-hero-block.js.map