import { p as proxyCustomElement, H, h, c as Host } from './p-e28db040.js';
import { W as WindowResizeService } from './p-26483b46.js';
import { a as getCurrentValue } from './p-7a436263.js';

const contentImageCss = "*{box-sizing:border-box}content-image{display:block;height:auto;transition:opacity 0.3s;position:relative}content-image.content-image-loading{opacity:0}content-image.content-image-loaded{opacity:1}content-image[aspect-ratio] img,content-image[aspect-ratio] picture,content-image[aspect-ratio] video{aspect-ratio:var(--aspect-ratio);object-fit:cover}content-image img,content-image picture,content-image video{display:block;width:100%;height:100%}content-image .content-image__media-content{display:none;position:absolute;width:100%;height:100%;top:0;left:0;align-items:center;justify-content:center;overflow:hidden}content-image .content-image__media-content [slot=mediaContent]{height:100%;width:100%}content-image[content=true] .content-image__media-content{display:flex}";
const ContentImageStyle0 = contentImageCss;

const ContentImage$1 = /*@__PURE__*/ proxyCustomElement(class ContentImage extends H {
    constructor() {
        super();
        this.__registerHost();
        this.classes = undefined;
        this.lazyLoad = true;
        this.src = undefined;
        this.activeSrc = undefined;
        this.alt = undefined;
        this.width = '16';
        this.height = '9';
        this.aspectRatio = undefined;
        this.type = 'image';
        this.videoType = 'video/mp4';
        this.showContent = 'false|true';
        this.lazyLoadIsComplete = false;
        this.showVideoAsGif = false;
        this.activeLazyLoadClass = '';
        this.classString = '';
        this.inlineStyle = {};
        this.hasMediaContent = false;
        this.pictureImageSrc = undefined;
    }
    preloadImage(src) {
        return new Promise(r => {
            const image = new Image();
            image.onload = r;
            image.onerror = r;
            image.src = src;
        });
    }
    componentWillLoad() {
        this.hasMediaContent = !!this.hostElement.querySelector('[slot="mediaContent"]');
        WindowResizeService.registerProp(this.aspectRatio).subscribe(newValue => {
            this.inlineStyle = Object.assign(Object.assign({}, this.inlineStyle), { '--aspect-ratio': `${newValue}` });
        });
        WindowResizeService.registerProp(this.alt).subscribe(newValue => {
            this.alt = newValue;
        });
        WindowResizeService.registerProp(this.height).subscribe(newValue => {
            this.height = newValue;
        });
        WindowResizeService.registerProp(this.showContent).subscribe(newValue => {
            this.showContent = newValue;
        });
        WindowResizeService.registerProp(this.classes).subscribe(newValue => {
            this.classString = `${newValue}`;
        });
    }
    componentDidLoad() {
        let observer = new IntersectionObserver(entries => {
            entries.forEach(async (entry) => {
                if (entry.isIntersecting) {
                    this.lazyLoadIsComplete = true;
                    this.pictureImageSrc = getCurrentValue(this.src);
                    this.showVideoAsGif = this.pictureImageSrc.indexOf('.mp4') >= 0 || getCurrentValue(this.type) === 'video';
                }
            });
        }, {
            root: null,
            rootMargin: `${Math.max(100, window.innerHeight * 1)}px`,
            // rootMargin: `0px`,
            threshold: 0,
        });
        observer.observe(this.hostElement);
    }
    watchLazyLoadIsComplete(newValue) {
        if (newValue === true) {
            this.activeLazyLoadClass = 'content-image-loaded';
        }
        else {
            if (!this.lazyLoad) {
                this.activeLazyLoadClass = 'content-image-no-lazyload';
            }
            else {
                this.activeLazyLoadClass = 'content-image-loading';
            }
        }
    }
    render() {
        return (h(Host, { key: '7a29a891d8d81398e91b2cbdd6c7e6fb7c2c6b3b', class: `${this.activeLazyLoadClass} ${this.classString}`, style: this.inlineStyle, content: this.showContent }, this.hasMediaContent && (h("div", { key: '44b05149260cf7e3449b0e03843dfc220989dd4d', class: "content-image__media-content" }, h("slot", { key: '225ded4cd89e04b7c7c71969cc391567b449a682', name: "mediaContent" }))), this.showVideoAsGif && (h("video", { key: '5b379113637e6a9b077a5572e3b97b48de244b4d', autoplay: true, muted: true, loop: true, preload: "none", playsinline: true, width: this.width, height: this.height }, h("source", { key: '4348f929ee94dd2e0194fbbeba31f1a69569d87a', src: this.lazyLoadIsComplete ? this.pictureImageSrc : null, type: this.videoType }))), this.pictureImageSrc && !this.showVideoAsGif && h("img", { key: '57a1310b8185e6a8f0bd592d63094c535699364a', width: this.width, height: this.height, src: this.pictureImageSrc, alt: this.alt })));
    }
    get hostElement() { return this; }
    static get watchers() { return {
        "lazyLoadIsComplete": ["watchLazyLoadIsComplete"]
    }; }
    static get style() { return ContentImageStyle0; }
}, [4, "content-image", {
        "classes": [1537],
        "lazyLoad": [4, "lazy-load"],
        "src": [1025],
        "alt": [1537],
        "width": [1025],
        "height": [1025],
        "aspectRatio": [1025, "aspect-ratio"],
        "type": [1],
        "videoType": [1, "video-type"],
        "showContent": [1537, "show-content"],
        "activeSrc": [32],
        "lazyLoadIsComplete": [32],
        "showVideoAsGif": [32],
        "activeLazyLoadClass": [32],
        "classString": [32],
        "inlineStyle": [32],
        "hasMediaContent": [32],
        "pictureImageSrc": [32]
    }, undefined, {
        "lazyLoadIsComplete": ["watchLazyLoadIsComplete"]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["content-image"];
    components.forEach(tagName => { switch (tagName) {
        case "content-image":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, ContentImage$1);
            }
            break;
    } });
}
defineCustomElement$1();

const ContentImage = ContentImage$1;
const defineCustomElement = defineCustomElement$1;

export { ContentImage, defineCustomElement };

//# sourceMappingURL=content-image.js.map