import { p as proxyCustomElement, H, h, c as Host } from './p-e28db040.js';
import { W as WindowResizeService } from './p-26483b46.js';

const contentLineCss = "*{box-sizing:border-box}content-line{--text-align:default;--inner-max-width:100%;display:block;text-align:var(--text-align);word-break:break-word;white-space:normal}content-line .content-line__inner{display:inline-block;width:auto;max-width:var(--max-width)}";
const ContentLineStyle0 = contentLineCss;

const ContentLine$1 = /*@__PURE__*/ proxyCustomElement(class ContentLine extends H {
    constructor() {
        super();
        this.__registerHost();
        this.tag = 'div';
        this.textAlign = 'default';
        this.classes = undefined;
        this.classString = undefined;
        this.maxWidth = '100%';
        this.inlineStyle = {};
    }
    componentWillLoad() {
        WindowResizeService.registerProp(this.textAlign).subscribe(newValue => {
            this.inlineStyle = Object.assign(Object.assign({}, this.inlineStyle), { '--text-align': newValue });
        });
        WindowResizeService.registerProp(this.maxWidth).subscribe((newValue) => {
            this.inlineStyle = Object.assign(Object.assign({}, this.inlineStyle), { '--max-width': isNaN(newValue) ? newValue : newValue + '%' });
        });
        WindowResizeService.registerProp(this.classes).subscribe(newValue => {
            this.classString = newValue;
        });
    }
    render() {
        // The capital case in this JSX variable is important
        const ElementTagParsed = `${this.tag}`;
        return (h(Host, { key: 'f810a0a780d8bc063d340114a2ad0817de12e235', class: this.classString, style: this.inlineStyle }, h(ElementTagParsed, { key: '1b003bf1daa171d768597de9d47443e286fd20fa', class: "content-line__inner" }, h("slot", { key: 'aead059a6b1421d0e84a56c72c84a3d24889f126', name: "content" }), h("slot", { key: 'eda8aaa9eebdd2ac42ef0768c4b4ebe1fe5d6927' }))));
    }
    static get style() { return ContentLineStyle0; }
}, [4, "content-line", {
        "tag": [1],
        "textAlign": [1, "text-align"],
        "classes": [8],
        "maxWidth": [1, "max-width"],
        "classString": [32],
        "inlineStyle": [32]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["content-line"];
    components.forEach(tagName => { switch (tagName) {
        case "content-line":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, ContentLine$1);
            }
            break;
    } });
}
defineCustomElement$1();

const ContentLine = ContentLine$1;
const defineCustomElement = defineCustomElement$1;

export { ContentLine, defineCustomElement };

//# sourceMappingURL=content-line.js.map