import { p as proxyCustomElement, H, h, c as Host } from './p-e28db040.js';
import { W as WindowResizeService } from './p-26483b46.js';

const contentSpacerCss = "*{box-sizing:border-box}content-spacer{display:block;width:100%;height:auto}content-spacer .content-spacer__content{width:100%}content-spacer[full-height=true]{height:100%}content-spacer[text-align=left]{text-align:left}content-spacer[text-align=center]{text-align:center}content-spacer[text-align=right]{text-align:right}content-spacer[horizontal=left]{margin-left:0;margin-right:auto}content-spacer[horizontal=center]{margin-left:auto;margin-right:auto}content-spacer[horizontal=right]{margin-left:auto;margin-right:0}content-spacer[vertical]{display:flex}content-spacer[vertical=top]{align-items:flex-start}content-spacer[vertical=center]{align-items:center}content-spacer[vertical=bottom]{align-items:flex-end}";
const ContentSpacerStyle0 = contentSpacerCss;

const ContentSpacingWrapper = /*@__PURE__*/ proxyCustomElement(class ContentSpacingWrapper extends H {
    constructor() {
        super();
        this.__registerHost();
        this.classes = undefined;
        this.classString = undefined;
        this.maxWidth = '100';
        this.fullHeight = 'false';
        this.textAlign = 'default';
        this.horizontal = 'default';
        this.vertical = '';
        this.topOffset = '0';
        this.bottomOffset = '0';
        this.leftOffset = '0';
        this.rightOffset = '0';
        this.inlineStyle = {};
    }
    componentWillLoad() {
        WindowResizeService.registerProp(this.fullHeight).subscribe(newValue => (this.fullHeight = newValue));
        WindowResizeService.registerProp(this.textAlign).subscribe(newValue => (this.textAlign = newValue));
        WindowResizeService.registerProp(this.horizontal).subscribe(newValue => (this.horizontal = newValue));
        WindowResizeService.registerProp(this.vertical).subscribe(newValue => (this.vertical = newValue));
        WindowResizeService.registerProp(this.maxWidth).subscribe(newValue => {
            this.inlineStyle = Object.assign(Object.assign({}, this.inlineStyle), { 'max-width': isNaN(newValue) ? newValue : newValue + '%' });
        });
        WindowResizeService.registerProp(this.topOffset).subscribe(newValue => {
            this.inlineStyle = Object.assign(Object.assign({}, this.inlineStyle), { 'padding-top': isNaN(newValue) ? newValue : newValue + '%' });
        });
        WindowResizeService.registerProp(this.bottomOffset).subscribe(newValue => {
            this.inlineStyle = Object.assign(Object.assign({}, this.inlineStyle), { 'padding-bottom': isNaN(newValue) ? newValue : newValue + '%' });
        });
        WindowResizeService.registerProp(this.leftOffset).subscribe(newValue => {
            this.inlineStyle = Object.assign(Object.assign({}, this.inlineStyle), { 'padding-left': isNaN(newValue) ? newValue : newValue + '%' });
        });
        WindowResizeService.registerProp(this.rightOffset).subscribe(newValue => {
            this.inlineStyle = Object.assign(Object.assign({}, this.inlineStyle), { 'padding-right': isNaN(newValue) ? newValue : newValue + '%' });
        });
        WindowResizeService.registerProp(this.classes).subscribe(newValue => (this.classString = newValue));
    }
    render() {
        return (h(Host, { key: 'd77bbf3aceceac17d3a2b139b631d6b44f618176', class: this.classString, style: this.inlineStyle }, h("div", { key: '54ab935fa44a783060e67780a68e5ae2d5ad216a', class: "content-spacer__content" }, h("slot", { key: 'dee136bc8ce06c4445a1df2536735cc756ee5cb2', name: "content" }), h("slot", { key: '244e9656209c313c4ae989c5ad49995dd66c9638' }))));
    }
    static get style() { return ContentSpacerStyle0; }
}, [4, "content-spacer", {
        "classes": [1],
        "maxWidth": [1, "max-width"],
        "fullHeight": [1537, "full-height"],
        "textAlign": [1537, "text-align"],
        "horizontal": [1537],
        "vertical": [1537],
        "topOffset": [1, "top-offset"],
        "bottomOffset": [1, "bottom-offset"],
        "leftOffset": [1, "left-offset"],
        "rightOffset": [1, "right-offset"],
        "classString": [32],
        "inlineStyle": [32]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["content-spacer"];
    components.forEach(tagName => { switch (tagName) {
        case "content-spacer":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, ContentSpacingWrapper);
            }
            break;
    } });
}
defineCustomElement$1();

const ContentSpacer = ContentSpacingWrapper;
const defineCustomElement = defineCustomElement$1;

export { ContentSpacer, defineCustomElement };

//# sourceMappingURL=content-spacer.js.map