import { p as proxyCustomElement, H, h, c as Host } from './p-e28db040.js';
import { W as WindowResizeService } from './p-26483b46.js';
import { d as defineCustomElement$2 } from './p-e9bce2ab.js';

const contentSplitBlockCss = "*{box-sizing:border-box}content-split-block{display:block}content-split-block[reverse=true] content-grid-formatter [slot=column1]{order:2}content-split-block[reverse=true] content-grid-formatter [slot=column2]{order:1}";
const ContentSplitBlockStyle0 = contentSplitBlockCss;

const ContentSplitBlock$1 = /*@__PURE__*/ proxyCustomElement(class ContentSplitBlock extends H {
    constructor() {
        super();
        this.__registerHost();
        this.reverse = false;
        this.columns = '1|2';
        this.classes = undefined;
        this.classString = undefined;
    }
    componentWillLoad() {
        WindowResizeService.registerProp(this.reverse).subscribe(newValue => (this.reverse = newValue));
        WindowResizeService.registerProp(this.classes).subscribe(newValue => (this.classString = newValue));
    }
    render() {
        return (h(Host, { key: '07309d1b00b39a34cb02365cfed93068466ded61', class: this.classString, reverse: this.reverse }, h("content-grid-formatter", { key: '55114d699cb714a820d9ee5c7db0f1b674a762e0', type: "flex", "flex-grow": "true", "flex-shrink": "true", columns: this.columns }, h("slot", { key: '155c3babd869c8c8b5b8766b13b68b56188d02d7', name: "column1" }), h("slot", { key: '19ed20dae1df7efe894bf420de4020d1a72a679c', name: "column2" }))));
    }
    static get style() { return ContentSplitBlockStyle0; }
}, [4, "content-split-block", {
        "reverse": [1544],
        "columns": [1],
        "classes": [1537],
        "classString": [32]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["content-split-block", "content-grid-formatter"];
    components.forEach(tagName => { switch (tagName) {
        case "content-split-block":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, ContentSplitBlock$1);
            }
            break;
        case "content-grid-formatter":
            if (!customElements.get(tagName)) {
                defineCustomElement$2();
            }
            break;
    } });
}
defineCustomElement$1();

const ContentSplitBlock = ContentSplitBlock$1;
const defineCustomElement = defineCustomElement$1;

export { ContentSplitBlock, defineCustomElement };

//# sourceMappingURL=content-split-block.js.map