import { p as proxyCustomElement, H, h, c as Host } from './p-e28db040.js';
import { W as WindowResizeService } from './p-26483b46.js';

const contentTextBlockCss = "*{box-sizing:border-box}content-text-block{display:block;width:100%;text-align:initial}content-text-block[full-height=true]{height:100%}content-text-block>*[slot=footer]{margin-top:auto;margin-bottom:0;width:100%;padding-top:1rem;height:auto}content-text-block[vertical=bottom]>[slot=footer]{position:static;height:auto}content-text-block[vertical]{display:flex;flex-direction:column}content-text-block[vertical=top]{justify-content:flex-start}content-text-block[vertical=center]{justify-content:center}content-text-block[vertical=center][footer=true] .content-text-block__content{margin-top:auto;margin-bottom:0}content-text-block[vertical=bottom]{justify-content:flex-end}content-text-block[vertical=bottom][footer=true] .content-text-block__content{margin-top:auto;margin-bottom:0}content-text-block[vertical=bottom][footer=true]>[slot=footer]{margin-top:0}content-text-block[text-align=left]{text-align:left}content-text-block[text-align=center]{text-align:center}content-text-block[text-align=right]{text-align:right}";
const ContentTextBlockStyle0 = contentTextBlockCss;

const ContentTextBlock$1 = /*@__PURE__*/ proxyCustomElement(class ContentTextBlock extends H {
    constructor() {
        super();
        this.__registerHost();
        this.classes = undefined;
        this.classString = undefined;
        this.minHeight = undefined;
        this.vertical = 'top';
        this.fullHeight = 'false';
        this.textAlign = 'default';
        this.inlineStyle = {};
    }
    componentWillLoad() {
        if (!!this.hostElement.querySelector('[slot="footer"]')) {
            this.hostElement.setAttribute('footer', 'true');
        }
        WindowResizeService.registerProp(this.minHeight).subscribe(newValue => {
            this.inlineStyle = Object.assign(Object.assign({}, this.inlineStyle), { 'min-height': isNaN(newValue) ? newValue : newValue + 'px' });
        });
        WindowResizeService.registerProp(this.textAlign).subscribe(newValue => this.hostElement.setAttribute('text-align', newValue));
        WindowResizeService.registerProp(this.vertical).subscribe(newValue => this.hostElement.setAttribute('vertical', newValue));
        WindowResizeService.registerProp(this.fullHeight).subscribe(newValue => {
            this.hostElement.setAttribute('full-height', newValue);
        });
        WindowResizeService.registerProp(this.classes).subscribe(newValue => (this.classString = newValue));
    }
    render() {
        return (h(Host, { key: '116ebc47c5f89f06424fbe67e76052160fc2291d', class: this.classString, style: this.inlineStyle }, h("div", { key: '31647851675daf77d948fd1b401302d79b134051', class: "content-text-block__content" }, h("slot", { key: '33b09d8504765218eb85883ba44435247a375593', name: "content" }), h("slot", { key: '3a6b285567c0023f1e4ada56df5e2ad3c418861c' })), h("slot", { key: '689f93bc46db8c458a0fa0d827503cbc2449da9a', name: "footer" })));
    }
    get hostElement() { return this; }
    static get style() { return ContentTextBlockStyle0; }
}, [4, "content-text-block", {
        "classes": [1],
        "minHeight": [1537, "min-height"],
        "vertical": [1537],
        "fullHeight": [1537, "full-height"],
        "textAlign": [1537, "text-align"],
        "classString": [32],
        "inlineStyle": [32]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["content-text-block"];
    components.forEach(tagName => { switch (tagName) {
        case "content-text-block":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, ContentTextBlock$1);
            }
            break;
    } });
}
defineCustomElement$1();

const ContentTextBlock = ContentTextBlock$1;
const defineCustomElement = defineCustomElement$1;

export { ContentTextBlock, defineCustomElement };

//# sourceMappingURL=content-text-block.js.map