import { g as getCurrentBreakpointIndex, a as getCurrentValue } from './p-7a436263.js';
import { B as BehaviorSubject, O as Observable } from './p-74be971f.js';

class WindowResizeController {
    // timeoutHolder: Timeout;
    constructor() {
        this.currentBreakpoint = getCurrentBreakpointIndex();
        this.breakpointIndex$ = new BehaviorSubject(this.currentBreakpoint);
        const resizeObserver = new ResizeObserver(_entries => {
            if (this.timeoutHolder) {
                clearTimeout(this.timeoutHolder);
            }
            let activeValue = getCurrentBreakpointIndex();
            if (this.breakpointIndex$.value === activeValue) {
                return false;
            }
            this.breakpointIndex$.next(activeValue);
        });
        resizeObserver.observe(window.document.body);
    }
    registerProp(activePropValue) {
        return new Observable(observer => {
            observer.next(getCurrentValue(activePropValue));
            this.breakpointIndex$.subscribe(() => {
                let nextValue = getCurrentValue(activePropValue);
                observer.next(nextValue);
            });
        });
    }
}
const WindowResizeService = new WindowResizeController();

export { WindowResizeService as W };

//# sourceMappingURL=p-26483b46.js.map