import { p as proxyCustomElement, H, h, c as Host } from './p-e28db040.js';
import { W as WindowResizeService } from './p-26483b46.js';

const contentGridFormatterCss = "*{box-sizing:border-box}content-grid-formatter{width:100%;align-items:var(--align-items, flex-start);justify-content:var(--justify-content);grid-template-columns:repeat(var(--columns), 1fr);column-gap:var(--column-gap, 0);row-gap:var(--row-gap, 0)}content-grid-formatter *{box-sizing:border-box}content-grid-formatter[type=grid]{display:grid}content-grid-formatter[type=flex]{display:flex;flex-wrap:wrap}content-grid-formatter[type=flex]>*{overflow:auto;flex:0 0 auto;width:calc(100% / var(--columns))}content-grid-formatter>[flex-shrink=true]{width:auto;flex-shrink:1}content-grid-formatter[flex-shrink=true]>*{flex-shrink:1}content-grid-formatter[flex-grow=true]>*{flex-grow:1}content-grid-formatter>[flex-grow=true]{width:auto;flex-grow:1}";
const ContentGridFormatterStyle0 = contentGridFormatterCss;

const ContentGridFormatter = /*@__PURE__*/ proxyCustomElement(class ContentGridFormatter extends H {
    constructor() {
        super();
        this.__registerHost();
        this.classes = undefined;
        this.classString = undefined;
        this.type = 'flex';
        this.flexGrow = 'false';
        this.flexShrink = 'false';
        this.vertical = 'space-between';
        this.horizontal = 'space-between';
        this.columns = '1';
        this.columnGap = '0';
        this.rowGap = '0';
        this.activeClassString = undefined;
        this.inlineStyle = {};
    }
    componentWillLoad() {
        return Promise.allSettled([
            WindowResizeService.registerProp(this.type).subscribe(newValue => (this.type = newValue)),
            WindowResizeService.registerProp(this.vertical).subscribe(newValue => {
                this.vertical = newValue;
                this.inlineStyle = Object.assign(Object.assign({}, this.inlineStyle), { '--align-items': this.vertical });
            }),
            WindowResizeService.registerProp(this.horizontal).subscribe(newValue => {
                this.horizontal = newValue;
                this.inlineStyle = Object.assign(Object.assign({}, this.inlineStyle), { '--justify-content': this.horizontal });
            }),
            WindowResizeService.registerProp(this.flexShrink).subscribe(newValue => (this.flexShrink = newValue)),
            WindowResizeService.registerProp(this.flexGrow).subscribe(newValue => (this.flexGrow = newValue)),
            WindowResizeService.registerProp(this.columns).subscribe(newValue => {
                this.columns = newValue;
                this.inlineStyle = Object.assign(Object.assign({}, this.inlineStyle), { '--columns': newValue });
            }),
            WindowResizeService.registerProp(this.columnGap).subscribe(newValue => {
                this.columnGap = newValue;
                this.inlineStyle = Object.assign(Object.assign({}, this.inlineStyle), { '--column-gap': newValue });
            }),
            WindowResizeService.registerProp(this.rowGap).subscribe(newValue => {
                this.rowGap = newValue;
                this.inlineStyle = Object.assign(Object.assign({}, this.inlineStyle), { '--row-gap': newValue });
            }),
            WindowResizeService.registerProp(this.classes).subscribe(newValue => (this.classString = newValue)),
        ]);
    }
    render() {
        return (h(Host, { key: '0f4c01fb1b73a7b9fa3994a198d56e43fbadd7cc', class: this.classString, style: this.inlineStyle }, h("slot", { key: 'cf16d48ab340f5612a66e189d936dba2e69ccee7' })));
    }
    get hostElement() { return this; }
    static get style() { return ContentGridFormatterStyle0; }
}, [4, "content-grid-formatter", {
        "classes": [1],
        "type": [1537],
        "flexGrow": [1537, "flex-grow"],
        "flexShrink": [1537, "flex-shrink"],
        "vertical": [1537],
        "horizontal": [1537],
        "columns": [1537],
        "columnGap": [1537, "column-gap"],
        "rowGap": [1537, "row-gap"],
        "classString": [32],
        "activeClassString": [32],
        "inlineStyle": [32]
    }]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["content-grid-formatter"];
    components.forEach(tagName => { switch (tagName) {
        case "content-grid-formatter":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, ContentGridFormatter);
            }
            break;
    } });
}
defineCustomElement();

export { ContentGridFormatter as C, defineCustomElement as d };

//# sourceMappingURL=p-e9bce2ab.js.map