import { r as registerInstance, h, H as Host } from './index-ec24af7a.js';
import { W as WindowResizeService } from './window-resize-service-354f2ac5.js';
import './utils-9a901aa9.js';
import './BehaviorSubject-f7a12fd8.js';

const contentSplitBlockCss = "*{box-sizing:border-box}content-split-block{display:block}content-split-block[reverse=true] content-grid-formatter [slot=column1]{order:2}content-split-block[reverse=true] content-grid-formatter [slot=column2]{order:1}";
const ContentSplitBlockStyle0 = contentSplitBlockCss;

const ContentSplitBlock = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.reverse = false;
        this.columns = '1|2';
        this.classes = undefined;
        this.classString = undefined;
    }
    componentWillLoad() {
        WindowResizeService.registerProp(this.reverse).subscribe(newValue => (this.reverse = newValue));
        WindowResizeService.registerProp(this.classes).subscribe(newValue => (this.classString = newValue));
    }
    render() {
        return (h(Host, { key: '07309d1b00b39a34cb02365cfed93068466ded61', class: this.classString, reverse: this.reverse }, h("content-grid-formatter", { key: '55114d699cb714a820d9ee5c7db0f1b674a762e0', type: "flex", "flex-grow": "true", "flex-shrink": "true", columns: this.columns }, h("slot", { key: '155c3babd869c8c8b5b8766b13b68b56188d02d7', name: "column1" }), h("slot", { key: '19ed20dae1df7efe894bf420de4020d1a72a679c', name: "column2" }))));
    }
};
ContentSplitBlock.style = ContentSplitBlockStyle0;

export { ContentSplitBlock as content_split_block };

//# sourceMappingURL=content-split-block.entry.js.map