import { HTMLStencilElement } from '../../stencil-public-runtime';
import { ResponsiveString } from '../../typings';
export type HeroContentPlacementOptions = 'above' | 'below';
/**
 * @slot background - This slot is usually either a video or image component.
 * @slot content - This slot will usually serve a text block.
 * @slot - Default slot, same as content slot
 */
export declare class ContentHeroBlock {
    hostElement: HTMLStencilElement;
    hasBackground: boolean;
    /**
     * Pipe separated HeroContentPlacementOptions that will determine whether the content sits below the media slot or overlapped above.
     * @type Select
     * @options below
     * @options above
     * @responsive
     */
    contentPosition: ResponsiveString | HeroContentPlacementOptions;
    /**
     * @type String
     * @responsive
     */
    classes: ResponsiveString;
    classString: any;
    revealHiddenContent: boolean;
    hasHiddenContent: boolean;
    componentWillLoad(): void;
    contentBlockActivationHandler(event: CustomEvent<HTMLElement>): void;
    render(): any;
}
//# sourceMappingURL=content-hero-block.d.ts.map