import { HTMLStencilElement } from '../../stencil-public-runtime';
import { ContentVerticalAlignments, ResponsiveString, ContentLineTextAlignOptions } from '../../typings';
/**
 * @slot content - This slot will usually serve a text block.
 * @slot footer - This slot is placed below the content slot
 * @slot - Default slot, same as content slot
 */
export declare class ContentTextBlock {
    /**
     * This is a pipe separated string representing the style class.
     * @type String
     * @responsive
     */
    classes: ResponsiveString;
    classString: any;
    /**
     * This is a pipe separated string representing the minimum height. Units without values default to pixels.
     * @type String
     * @responsive
     */
    minHeight: ResponsiveString;
    /**
     * Pipe separated list of ContentVerticalAlignments for text box placement.
     * @type Select
     * @options top
     * @options center
     * @options bottom
     * @responsive
     */
    vertical: ContentVerticalAlignments;
    /**
     * @type Boolean
     * @responsive
     */
    fullHeight: ResponsiveString;
    /**
     * Pipe separated list of ContentLineTextAlignOptions for text alignment.
     * @type Select
     * @options default
     * @options left
     * @options center
     * @options right
     * @responsive
     */
    textAlign: ContentLineTextAlignOptions;
    hostElement: HTMLStencilElement;
    inlineStyle?: {
        [key: string]: string;
    };
    componentWillLoad(): void;
    render(): any;
}
//# sourceMappingURL=content-text-block.d.ts.map