import { HostElement } from '../../stencil-public-runtime';
import { ResponsiveBoolean } from '../../typings';
/**
 * @slot content - This slot will usually serve a content button.
 * @slot trigger - This is the contents of the button that will expand / hide the accordion.
 * @slot - Default slot, same as content slot.
 */
export declare class ContentAccordion {
    hostElement: HostElement;
    revealElement: HTMLDivElement;
    /**
     *
     * @type Boolean
     * @responsive
     */
    open: ResponsiveBoolean;
    /**
     * The starting animation class in case you want to control content styling.
     * @type String
     */
    animationStart: string;
    /**
     * The ending animation class in case you want to control content styling.
     * @type String
     */
    animationEnd: string;
    /**
     * The class to be applied to the trigger button element.
     * @type String
     */
    triggerClass: string;
    /**
     * The amount of time in milliseconds to run the closing animation, before the class is removed
     * @type Number
     */
    animationTime: number;
    isOpen: boolean;
    randomID: string;
    classString: string;
    timeoutHolder: any;
    handleClickEvent(e: MouseEvent): void;
    animateAccordion(open: any, animationTime?: number): void;
    componentWillLoad(): void;
    render(): any;
}
//# sourceMappingURL=content-accordion.d.ts.map