import { HTMLStencilElement } from '../../stencil-public-runtime';
import { BehaviorSubject } from 'rxjs';
/**
 * @slot content - This slot will usually serve a content hero block or image.
 * @slot - Default slot, same as content slot.
 */
export type InitMethodType = 'load' | 'event';
export declare class ContentCarousel {
    hostElement: HTMLStencilElement;
    /**
     * @type Select
     * @options load
     * @options init
     */
    initMethod: InitMethodType;
    /**
     * @type JSON
     * @schema Swiper Options
     */
    swiperOptions: string;
    swiperCarousel: any;
    swiper?: HTMLDivElement;
    swiperWrapper?: HTMLDivElement;
    swiperPagination?: HTMLDivElement;
    swiperPrevElement?: HTMLButtonElement;
    swiperNextElement?: HTMLButtonElement;
    swiperScrollbar?: HTMLDivElement;
    swiperOptionsFinal: any;
    loadStatus: BehaviorSubject<boolean>;
    getSwiperOptions(newOptions: string): object;
    componentDidLoad(): void;
    setSwiperOptionsCallback(event: CustomEvent): void;
    initSwiper(): Promise<void>;
    render(): any;
}
//# sourceMappingURL=content-carousel.d.ts.map