import { HTMLStencilElement } from '../../stencil-public-runtime';
import { ResponsiveString } from '../../typings';
/**
 * @slot openButton - This slot will expand the navigation when clicked.
 * @slot closeButton - This slot will close the navigation when clicked.
 * @slot skipContent - This slot is a keyboard-focus link that lets a screen-reader or keyboard user skip the navigation block and scroll to the end.
 * @slot content - Default slot
 */
export declare class ContentNavigationBlock {
    /**
     * @type Select
     * @responsive
     * @options fixed
     * @options absolute
     * @options sticky
     * @options static
     * @options none
     */
    hamburger: ResponsiveString;
    /**
     * @type String
     * @responsive
     */
    classes: ResponsiveString;
    classString: any;
    hostElement: HTMLStencilElement;
    ariaExpanded: string;
    bodyToggle: boolean;
    skipAccessibilityMessage: HTMLElement;
    hasOpenButton: boolean;
    hasCloseButton: boolean;
    openButton: HTMLElement;
    closeButton: HTMLElement;
    contentSlot: HTMLElement;
    focusTrap: any;
    componentWillLoad(): void;
    componentDidLoad(): void;
    openMenu(): void;
    closeMenu(): void;
    render(): any;
}
//# sourceMappingURL=content-navigation-block.d.ts.map