import { HostElement } from '../../stencil-public-runtime';
import { ResponsiveString } from '../../typings';
/**
 * @slot content - Inner contents of the button, usually plaintext.
 * @slot - Default slot, same as content slot.
 * @slot activatedContent - If this slot is used, the content in this will be scrolled to and triggered.
 */
export declare class ContentButton {
    hostElement: HostElement;
    /**
     * @type URL
     */
    href: string;
    /**
     * @type String
     */
    target: string;
    /**
     * The classes for the button.
     * @type String
     * @responsive
     */
    classes: string;
    classString: string;
    /**
     * @type Boolean
     */
    clickableBlock: boolean;
    /**
     * @type Boolean
     */
    expanded: string;
    /**
  
     /**
      * Aria-controls value
     * @type Target
     */
    controls: string;
    /**
     * @type String
     * @responsive
     */
    linkLabel: ResponsiveString;
    /**
     * @type String
     * @responsive
     */
    linkClass: ResponsiveString;
    hasContentToActivate: boolean;
    activatedContent: HTMLDivElement;
    componentWillLoad(): void;
    onHandleClickEvent(ev: any): void;
    render(): any;
}
//# sourceMappingURL=content-button.d.ts.map