import { HostElement } from '../../stencil-public-runtime';
import { ResponsiveBoolean, ResponsiveNumber, ResponsiveString } from '../../typings';
/**
 * @slot mediaContent - Content displayed over media. If you want to reveal content on hover, use a tout block
 */
export declare class ContentImage {
    hostElement: HostElement;
    /**
     * @type String
     * @responsive
     */
    classes: ResponsiveString;
    /**
     * @type Boolean
     */
    lazyLoad: boolean;
    /**
     * @type Media
     * @responsive
     */
    src: ResponsiveString;
    activeSrc: any;
    /**
     * @type String
     * @responsive
     */
    alt: ResponsiveString;
    /**
     * @type Number
     * @responsive
     */
    width: ResponsiveNumber;
    /**
     * @type Number
     * @responsive
     */
    height: ResponsiveNumber;
    /**
     * @type String
     * @responsive
     */
    aspectRatio: ResponsiveString;
    /**
     * @type Select
     * @options image
     * @options video
     */
    type?: 'image' | 'video';
    /**
     * @type Select
     * @options video/mp4
     */
    videoType?: string;
    /**
     * If true, the content in the mediaContent slot will be visible.
     * @type Boolean
     * @responsive
     */
    showContent: ResponsiveBoolean;
    lazyLoadIsComplete: boolean;
    showVideoAsGif: boolean;
    activeLazyLoadClass: string;
    classString: string;
    inlineStyle?: {
        [key: string]: string;
    };
    hasMediaContent: boolean;
    pictureImageSrc: string;
    preloadImage(src: any): Promise<unknown>;
    componentWillLoad(): void;
    componentDidLoad(): void;
    watchLazyLoadIsComplete(newValue: boolean): void;
    render(): any;
}
//# sourceMappingURL=content-image.d.ts.map