import { ResponsiveNumber } from '../../typings';
export type ContentLineTagOptions = 'div' | 'p' | 'h1' | 'h2' | 'h3' | 'h4' | 'h5' | 'h6' | 'span' | 'section' | 'article';
export type ContentLineTextAlignOptions = 'default' | 'left' | 'center' | 'right';
/**
 * @slot content - Inner contents of the line, usually plaintext.
 * @slot - Default slot, same as content slot.
 */
export declare class ContentLine {
    /**
     * The element tag to use.
     * @type Select
     * @options div
     * @options p
     * @options h1
     * @options h2
     * @options h3
     * @options h4
     * @options h5
     * @options h6
     * @options span
     * @options section
     * @options article
     */
    tag: ContentLineTagOptions;
    /**
     * Pipe separated list of ContentLineTextAlignOptions for text alignment.
     * @type Select
     * @options default
     * @options left
     * @options center
     * @options right
     * @responsive
     */
    textAlign: ContentLineTextAlignOptions;
    /**
     * The font class for the line.
     * @type String
     * @responsive
     */
    classes: any;
    classString: any;
    /**
     * Pipe separated list of max width numbers. You can also use units such as "px" and "vw". If no unit is provided, defaults to percentage.
     * @type String
     * @responsive
     */
    maxWidth: ResponsiveNumber;
    inlineStyle: {
        [key: string]: string;
    };
    componentWillLoad(): void;
    render(): any;
}
//# sourceMappingURL=content-line.d.ts.map