import { FLEX_JUSTIFY_OPTIONS, GRID_TYPES, ResponsiveBoolean, ResponsiveNumber, ResponsiveString } from '../../typings';
import { HTMLStencilElement } from '../../stencil-public-runtime';
/**
 * @slot media - This slot can either be a video or image component.
 * @slot content - This slot will usually serve a content text block.
 */
export declare class ContentGridFormatter {
    /**
     * @type String
     * @responsive
     */
    classes: ResponsiveString;
    classString: any;
    /**
     * Flex or grid
     * @type Select
     * @options none
     * @options flex
     * @options grid
     * @responsive
     */
    type: GRID_TYPES | ResponsiveString;
    /**
     * Setting this true to will grow all children. Alternatively, add the attribute [flex-grow="true"] to a specific grid child and that child will grow.
     * @type Boolean
     * @responsive
     */
    flexGrow: ResponsiveBoolean;
    /**
     * Setting this true to will shrink all children. Alternatively, add the attribute [flex-shrink="true"] to a specific grid child and that child will shrink.
     * @type Boolean
     * @responsive
     */
    flexShrink: ResponsiveBoolean;
    /**
     * Vertical axis alignment
     * @type Select
     * @options flex-start
     * @options space-between
     * @options center
     * @options space-evenly
     * @responsive
     */
    vertical: FLEX_JUSTIFY_OPTIONS;
    /**
     * Horizontal axis alignment
     * @type Select
     * @options flex-start
     * @options space-between
     * @options center
     * @options space-evenly
     * @responsive
     */
    horizontal: FLEX_JUSTIFY_OPTIONS;
    /**
     * @type Number
     * @responsive
     */
    columns: ResponsiveNumber;
    /**
     * @type Number
     * @responsive
     */
    columnGap: ResponsiveNumber;
    /**
     * @type Number
     * @responsive
     */
    rowGap: ResponsiveNumber;
    hostElement: HTMLStencilElement;
    activeClassString: string;
    inlineStyle: {
        [key: string]: string;
    };
    componentWillLoad(): Promise<[PromiseSettledResult<import("rxjs").Subscription>, PromiseSettledResult<import("rxjs").Subscription>, PromiseSettledResult<import("rxjs").Subscription>, PromiseSettledResult<import("rxjs").Subscription>, PromiseSettledResult<import("rxjs").Subscription>, PromiseSettledResult<import("rxjs").Subscription>, PromiseSettledResult<import("rxjs").Subscription>, PromiseSettledResult<import("rxjs").Subscription>, PromiseSettledResult<import("rxjs").Subscription>]>;
    render(): any;
}
//# sourceMappingURL=content-grid-formatter.d.ts.map