import { ContentLineTextAlignOptions, ContentVerticalAlignments, ResponsiveBoolean, ResponsiveNumber, ResponsiveString } from '../../typings';
/**
 * @slot content - Inner contents of spacing wrapper, can be anything.
 * @slot - Default slot, same as content slot.
 */
export declare class ContentSpacingWrapper {
    /**
     * @type String
     * @responsive
     */
    classes: ResponsiveString;
    classString: any;
    /**
     * Pipe separated list of max width numbers. You can also use units such as "px" and "vw".
     * @type String
     * @responsive
     */
    maxWidth: ResponsiveNumber;
    /**
     * Pipe separated boolean values for full height. Typically, this is used if you have a hero block and you want a footer that aligns with the text layer. This is a niche case, but a valid one.
     * @type Boolean
     * @responsive
     */
    fullHeight: ResponsiveBoolean;
    /**
     * Pipe separated list of ContentLineTextAlignOptions for text alignment.
     * @type Select
     * @options default
     * @options left
     * @options center
     * @options right
     * @responsive
     */
    textAlign: ContentLineTextAlignOptions;
    /**
     * Pipe separated list of ContentLineTextAlignOptions for where to place text box when a max width is specified.
     * @type Select
     * @options default
     * @options left
     * @options center
     * @options right
     * @responsive
     */
    horizontal: ContentLineTextAlignOptions;
    /**
     * Pipe separated list of ContentVerticalAlignments for text box placement.
     * @type Select
     * @options top
     * @options center
     * @options bottom
     * @options default
     * @responsive
     */
    vertical: ResponsiveString | ContentVerticalAlignments;
    /**
     * Pipe separated numbers between 0 and 100. Units without values are assumed to be %.
     * @type Number
     * @string
     * @responsive
     */
    topOffset: ResponsiveNumber;
    /**
     * Pipe separated numbers between 0 and 100. Units without values are assumed to be %.
     * @type Number
     * @string
     * @responsive
     */
    bottomOffset: ResponsiveNumber;
    /**
     * Pipe separated numbers between 0 and 100. Units without values are assumed to be %.
     * @type Number
     * @string
     * @responsive
     */
    leftOffset: ResponsiveNumber;
    /**
     * Pipe separated numbers between 0 and 100. Units without values are assumed to be %.
     * @type Number
     * @string
     * @responsive
     */
    rightOffset: ResponsiveNumber;
    inlineStyle?: {
        [key: string]: string;
    };
    componentWillLoad(): void;
    render(): any;
}
//# sourceMappingURL=content-spacer.d.ts.map